Bug 265800 - Add an Auto-Grow feature in Fill tool
Summary: Add an Auto-Grow feature in Fill tool
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools (show other bugs)
Version: git master (please specify the git hash!)
Platform: Compiled Sources Linux
: NOR wishlist
Target Milestone: ---
Assignee: pentalis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-08 14:47 UTC by animtim
Modified: 2012-09-01 09:21 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description animtim 2011-02-08 14:47:37 UTC
Version:           svn trunk (using KDE 4.5.1) 
OS:                Linux

When I need to fill an area, what I usually do is select the area, grow the selection (by 1 pixel or more depending on resolution and line style ), then fill it.

So if there was an "auto-grow" feature in fill tool options, with a value selector, I could set it ON with the needed amount of "grow" and use it directly instead of having to use selection tool + selection grow before.

Reproducible: Always
Comment 1 Halla Rempt 2011-05-26 22:33:21 UTC
Ack.
Comment 2 pentalis 2012-08-10 19:53:57 UTC
I'll be tackling this one
Comment 3 pentalis 2012-08-10 19:55:06 UTC
I'll be tackling this one
Comment 4 animtim 2012-08-10 19:57:37 UTC
Cool, I hope you'll find out! :)
By the way in the exact same idea, add a "feather" option (equivalent to the feather selection, applied on the area to fill)
Comment 5 pentalis 2012-08-11 18:58:19 UTC
Git commit d2e40ab328342c27086ac9716941253976614e1a by José Luis Vergara.
Committed on 11/08/2012 at 20:38.
Pushed by jlvergara into branch 'master'.

Add new auto feather and growth options to Fill Contiguous Selection tool

M  +64   -4    krita/plugins/tools/selectiontools/kis_tool_select_contiguous.cc
M  +4    -0    krita/plugins/tools/selectiontools/kis_tool_select_contiguous.h

http://commits.kde.org/calligra/d2e40ab328342c27086ac9716941253976614e1a
Comment 6 pentalis 2012-08-13 23:09:33 UTC
Git commit 8b7ed3231ee1cf4d19fb953dfec6268a79b38011 by José Luis Vergara.
Committed on 14/08/2012 at 01:03.
Pushed by jlvergara into branch 'master'.

Add new options to set auto Grow/shrinking and Feathering for Fill Tool

M  +17   -0    krita/image/kis_fill_painter.cc
M  +24   -0    krita/image/kis_fill_painter.h
R  +3    -0    krita/image/kis_selection_manager_p.h [from: krita/ui/kis_selection_manager_p.h - 099% similarity]
M  +41   -11   krita/plugins/tools/defaulttools/kis_tool_fill.cc
M  +8    -5    krita/plugins/tools/defaulttools/kis_tool_fill.h
M  +7    -20   krita/plugins/tools/selectiontools/kis_tool_select_contiguous.cc
M  +4    -4    krita/plugins/tools/selectiontools/kis_tool_select_contiguous.h

http://commits.kde.org/calligra/8b7ed3231ee1cf4d19fb953dfec6268a79b38011
Comment 7 Jarosław Staniek 2012-09-01 09:21:22 UTC
Git commit 108bbb57b21bbd0242396b47573e98e1ae67853c by Jaroslaw Staniek, on behalf of José Luis Vergara.
Committed on 14/08/2012 at 01:03.
Pushed by staniek into branch 'kexi-features-staniek'.

Add new options to set auto Grow/shrinking and Feathering for Fill Tool

M  +17   -0    krita/image/kis_fill_painter.cc
M  +24   -0    krita/image/kis_fill_painter.h
R  +3    -0    krita/image/kis_selection_manager_p.h [from: krita/ui/kis_selection_manager_p.h - 099% similarity]
M  +41   -11   krita/plugins/tools/defaulttools/kis_tool_fill.cc
M  +8    -5    krita/plugins/tools/defaulttools/kis_tool_fill.h
M  +7    -20   krita/plugins/tools/selectiontools/kis_tool_select_contiguous.cc
M  +4    -4    krita/plugins/tools/selectiontools/kis_tool_select_contiguous.h

http://commits.kde.org/calligra/108bbb57b21bbd0242396b47573e98e1ae67853c